/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for PETRadionuclide
 */
public enum EnumCV_PETRadionuclide 
{
		//PETRadionuclide - CID 4020
		ELEVEN_CARBON_C_105A1("C-105A1"),
		THIRTEEN_NITROGEN_C_107A1("C-107A1"),
		FOURTEEN_OXYGEN_C_1018C("C-1018C"),
		FIFTEEN_OXYGEN_C_B1038("C-B1038"),
		EIGHTEEN_FLUORINE_C_111A1("C-111A1"),
		TWENTY_TWO_SODIUM_C_155A1("C-155A1"),
		THIRTY_EIGHT_POTASSIUM_C_135A4("C-135A4"),
		FOURTY_THREE_SCANDIUM_126605("126605"),
		FOURTY_FOUR_SCANDIUM_126600("126600"),
		FOURTY_FIVE_TITANIUM_C_166A2("C-166A2"),
		FIFTY_ONE_MANGANESE_126601("126601"),
		FIFTY_TWO_IRON_C_130A1("C-130A1"),
		FIFTY_TWO_MANGANESE_C_149A1("C-149A1"),
		SIXTY_COPPER_C_127A4("C-127A4"),
		SIXTY_ONE_COPPER_C_127A1("C-127A1"),
		SIXTY_TWO_COPPER_C_127A5("C-127A5"),
		SIXTY_TWO_ZINC_C_141A1("C-141A1"),
		SIXTY_FOUR_COPPER_C_127A2("C-127A2"),
		SIXTY_SIX_GALLIUM_C_131A1("C-131A1"),
		SIXTY_EIGHT_GALLIUM_C_131A3("C-131A3"),
		SIXTY_EIGHT_GERMANIUM_C_128A2("C-128A2"),
		SEVENTY_ARSENIC_126602("126602"),
		SEVENTY_TWO_ARSENIC_C_115A2("C-115A2"),
		SEVENTY_THREE_SELENIUM_C_116A2("C-116A2"),
		SEVENTY_FIVE_BROMINE_C_113A1("C-113A1"),
		SEVENTY_SIX_BROMINE_C_113A2("C-113A2"),
		SEVENTY_SEVEN_BROMINE_C_113A3("C-113A3"),
		EIGHTY_TWO_RUBIDIUM_C_159A2("C-159A2"),
		EIGHTY_SIX_YTTRIUM_C_162A3("C-162A3"),
		EIGHTY_NINE_ZIRCONIUM_C_168A4("C-168A4"),
		NINETY_NIOBIUM_126603("126603"),
		NINETY_YTTRIUM_C_162A7("C-162A7"),
		NINETY_FOURM_TECHNETIUM_C_163AA("C-163AA"),
		ONE_HUNDRED_TWENTY_FOUR_IODINE_C_114A5("C-114A5"),
		ONE_HINDRED_FIFTY_TWO_TERBIUM_126606("126606");

	private String value;

	EnumCV_PETRadionuclide(String strValue)
	{
		value = strValue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
